dnl required version of autoconf
AC_PREREQ([2.53])

dnl TODO: fill in your package name and package version here
AC_INIT([bayeswave],[0.0.1])
AC_REVISION([m4_esyscmd_s([git describe --always])])

AC_CONFIG_SRCDIR([BayesWave.c])
AC_CONFIG_AUX_DIR([build-aux])
dnl AC_CONFIG_HEADERS([config.h])

dnl required version of automake
AM_INIT_AUTOMAKE([1.10])

# Enable silent build rules if this version fo Automake supports them
m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])

dnl enable maintainer mode by default
AM_MAINTAINER_MODE([enable])

dnl check for tools (compiler etc.)
AC_PROG_CC
AC_PROG_CC_C99

dnl required version of libtool
LT_PREREQ([2.2.6])
LT_INIT

dnl give error and exit if we don't have pkgconfig
AC_CHECK_PROG(HAVE_PKGCONFIG, pkg-config, [ ], [
  AC_MSG_ERROR([You need to have pkg-config installed!])
])

PKG_CHECK_MODULES([LAL], [gsl libframe libmetaio fftw3 fftw3f lal lalsupport lalframe lalinference lalinspiral lalpulsar lalmetaio lalsimulation])

#   GIT_VERSION := $(shell git describe --abbrev=4 --dirty --always --tags)

AC_DEFINE_UNQUOTED([GIT_URL],    ["$(git config --get remote.origin.url)"])
AC_DEFINE_UNQUOTED([GIT_VER],    ["$(git describe --dirty --always --tags)"])
AC_DEFINE_UNQUOTED([GIT_HASH],   ["$(git log -1 --format='%H')"])
AC_DEFINE_UNQUOTED([GIT_AUTHOR], ["$(git log -1 --format='%an <%ae>')"])
AC_DEFINE_UNQUOTED([GIT_DATE],   ["$(git log -1 --format='%ad')"])

AC_CONFIG_FILES([Makefile])
AC_OUTPUT
